Subject: Re: bug#56357: Request for font size adaptation that fits window

From: Christopher Dimech <[email-masked]>
Date: Tue, 5 Jul 2022 17:33:28 +0200

> Sent: Tuesday, July 05, 2022 at 11:11 PM
> From: "Lars Ingebrigtsen" <[email-masked]>
> To: [email-masked]
> Cc: "Eli Zaretskii" <[email-masked]>, [email-masked]
> Subject: bug#56357: Request for font size adaptation that fits window
>
> [email-masked] writes:
>
> > Correct, a dynamic resizing based on "longest in the buffer".  I would
> > say that one would not want frequent resizing either.  Though I am not
> > best to state how the dynamic resizing could get activated.  Then
> > again there should be a limit of the size of the font for instances
> > where the resizing would get too big for files with short lines.
>
> Oh, OK.  I'm not sure I think that's something many people would find
> useful -- people usually choose a fill-column/frame width/font size
> that's suitable for each other.  Making lines in a buffer shorter, for
> instance, to be able to jack up the font size isn't something I think
> would be popular.

It all depends how often the longest line in modified.  I can see the problem
with dynamic resizing.

Perhaps it can be an extension of `C-x C-+' and `C-x C--' so users would
not have press them multiple times for code to fit window.  And be able to
set some other variables so that the result the user sees is optimal as much
as possible.